package com.ruoyi.common.core.domain.entity;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc岗位工资对象 cmc_post_salary
 *
 * @author cmc
 * @date 2024-03-25
 */
public class CmcPostSalary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 成本id */
    private Integer salaryId;

    /** 岗级 */
    @Excel(name = "岗级")
    private String postLevel;

    /** 薪档 */
    @Excel(name = "薪档")
    private String salaryLevel;

    /** 月薪 */
    @Excel(name = "月薪")
    private BigDecimal salary;

    public void setSalaryId(Integer salaryId)
    {
        this.salaryId = salaryId;
    }

    public Integer getSalaryId()
    {
        return salaryId;
    }
    public void setPostLevel(String postLevel)
    {
        this.postLevel = postLevel;
    }

    public String getPostLevel()
    {
        return postLevel;
    }
    public void setSalaryLevel(String salaryLevel)
    {
        this.salaryLevel = salaryLevel;
    }

    public String getSalaryLevel()
    {
        return salaryLevel;
    }
    public void setSalary(BigDecimal salary)
    {
        this.salary = salary;
    }

    public BigDecimal getSalary()
    {
        return salary;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("salaryId", getSalaryId())
                .append("postLevel", getPostLevel())
                .append("salaryLevel", getSalaryLevel())
                .append("salary", getSalary())
                .toString();
    }
}
